ModernLoop Internal API
Apislack

List Slack users in the workspace

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/slack/users" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "users": [    {      "id": "string",      "name": "string",      "real_name": "string",      "display_name": "string",      "email": "string",      "title": "string",      "is_admin": true,      "is_owner": true,      "is_bot": true,      "deleted": true,      "tz": "string",      "avatar_url": "string"    }  ],  "next_cursor": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Page size (max 200)

Range1 <= value <= 200
Default100
cursor?string

Pagination cursor from a previous page

team_id?string

Team (workspace) ID for Enterprise Grid orgs

Response Body

application/json

application/json

application/json

application/json

application/json

application/json